From 82045bde727ae3f67c36dd19c66adb5403fbc897 Mon Sep 17 00:00:00 2001
Message-Id: <82045bde727ae3f67c36dd19c66adb5403fbc897.1709071481.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Tue, 27 Feb 2024 22:03:12 +0000
Subject: [PATCH] gnu: Add python-mord.

* gnu/packages/machine-learning.scm (python-mord): New variable.

Change-Id: I1a495fece72a0b998a69cb518544ed8835b12a40
---
 gnu/packages/machine-learning.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 2e20872555..a4c8acaa8a 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -25,6 +25,7 @@
 ;;; Copyright © 2023 Troy Figiel <troy@troyfigiel.com>
 ;;; Copyright © 2024 Sharlatan Hellseher <sharlatanus@gmail.com>
 ;;; Copyright © 2024 David Pflug <david@pflug.io>
+;;; Copyright © 2024 Spencer King <spencer.king@geneoscopy.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1781,6 +1782,31 @@ (define-public python-scikit-learn-extra
 citation number.")
       (license license:bsd-3))))
 
+(define-public python-mord
+  (package
+    (name "python-mord")
+    (version "0.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "mord" version))
+       (sha256
+        (base32 "1cvv9b9w69v0inq0zgcw0vmkiq3zn9q9r6clkynpzjik9rrh405n"))))
+    (build-system pyproject-build-system)
+    ;; v0.7 does not provide any test cases
+    ;; v0.6 relies on deprecated scikit-learn functionality
+    (arguments
+     (list
+      #:tests? #f))
+    (inputs (list python-numpy python-scipy python-scikit-learn))
+    (home-page "https://pypi.org/project/mord/")
+    (synopsis "Ordinal regression models for scikit-learn")
+    (description
+     "This package provides a collection of ordinal regression models for
+machine learning in Python.  They are intended to be used with scikit-learn
+and are compatible with its API.")
+    (license license:bsd-3)))
+
 (define-public python-thinc
   (package
     (name "python-thinc")

base-commit: bb4f0509b7cce750fc944e604aa919ea89910ea7
-- 
2.34.1

